"""
Join objects from multiple sources into a single stream
"""
from typing import Iterable

from spotify_model import SearchAlbum


def join_albums(*args: Iterable[SearchAlbum]) -> Iterable[SearchAlbum]:
    "Join the results of many album producers by exhausting all albums from each producer"

    for arg in args:
        for album in arg:
            yield album
